Utils.cpp File Reference
`#include "Data.h"`
`#include "DataVector.h"`
`#include "FileWriter.h"`
`#include "Utils.h"`
`#include <cstring>`
`#include <fstream>`
`#include <unistd.h>`
`#include <boost/python.hpp>`
`#include <boost/scoped_array.hpp>`

## Namespaces

| escript

## Macros

#define | OVERLORDPATH ""
#define | CHILD_FAIL 2
#define | CHILD_COMPLETE 4

## Functions

int | escript::getSvnVersion ()
| some functions More...
int | escript::get_core_id ()
void | escript::setNumberOfThreads (const int num_threads)
| set the number of threads More...
int | escript::getNumberOfThreads ()
| returns the number of threads More...
int | escript::getMPISizeWorld ()
| returns the total number of available MPI processes for MPI_COMM_WORLD More...
int | escript::getMPIRankWorld ()
| returns the MPI processor number within MPI_COMM_WORLD More...
int | escript::getMPIWorldMax (const int val)
| returns the maximum value of an integer over all processors within MPI_COMM_WORLD More...
int | escript::getMPIWorldSum (const int val)
| returns sum of an integer over all processors with MPI_COMM_WORLD More...
void | escript::printParallelThreadCnt ()
| print a message about how many MPI CPUs and OpenMP threads we're using More...
int | escript::runMPIProgram (bp::list args)
double | escript::getMachinePrecision ()
| returns the machine precision More...
double | escript::getMaxFloat ()
void | escript::MPIBarrierWorld ()
| performs a barrier synchronization across all processors. More...
void | escript::saveDataCSV (const std::string &filename, bp::dict arg, const std::string &sep, const std::string &csep, bool refid, bool append)
void | escript::getNumpy (bp::dict arg)
void | escript::convertToNumpy (escript::Data data)
void | escript::resolveGroup (bp::object obj)

## Macro Definition Documentation

## CHILD_COMPLETE

#define CHILD_COMPLETE 4

## CHILD_FAIL

#define CHILD_FAIL 2

## OVERLORDPATH

#define OVERLORDPATH ""